Distribution: 	CCux
Packager: 	Karsten Brockmann <arcam@ccux-linux.de>

Name: 		lyx
Version: 	1.5.5
Release: 	1
Source0: 	%{name}-%{version}.tar.bz2
Source1:	%{name}.desktop
Patch0:		%{name}-1.5.5-autoconf.patch
Summary: 	lyx - document processor.
URL: 		http://www.lyx.org
License: 	GPL
Group: 		Office
BuildRoot: 	%{_tmppath}/%{name}-buildroot
# To build with more features, please enable tetex as BuildRequires 
BuildRequires:	texjive
BuildRequires:	python
BuildRequires:	glibc-devel
BuildRequires:	libstdc++-devel
BuildRequires:  zlib-devel
BuildRequires:  aspell-devel
BuildRequires:  libICE-devel
BuildRequires:  libSM-devel
BuildRequires:  libX11-devel
BuildRequires:  aspell-devel
BuildRequires:	qt4-devel

%description
LyX is an advanced open source document processor that encourages an approach to writing based on the structure of your documents,
not their appearance. LyX lets you concentrate on writing, leaving details of visual layout to the software. 
LyX was originally a Unix application, but now runs natively on Windows and Mac OS X as well,
thanks largely to the cross-platform Qt toolkit. LyX produces high quality, professional output -- using LaTeX,
an industrial strength typesetting engine, in the background; LyX is far more than a front-end to LaTeX, however.
No knowledge of LaTeX is necessary to use LyX, although it will give a user more power. 
LyX is stable and fully featured. It has been used for documents as large as a thesis, or as small as a business letter.
Despite its simple GUI interface (available in many languages), it supports tables, figures, and hyperlinked cross-references,
and has a best-of-breed math editor.

%prep
%setup -n %{name}-%{version}
%patch0 -p1

%build
export PATH="/opt/qt4/bin:$PATH"
./autogen.sh
./configure --prefix=%_prefix \
--sysconfdir=%_sysconfdir \
--mandir=%_mandir \
--disable-debug  \
--with-frontend=qt4 \
--with-qt4-dir=/opt/qt4 \
--with-qt4-includes=/opt/qt4/include \
--with-qt4-libraries=/opt/qt4/lib \
--with-x=/usr/X11R6
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%_datadir/applications/kde
cp %{SOURCE1} $RPM_BUILD_ROOT%_datadir/applications/kde

%files
%defattr(-,root,root)
%_bindir
%_datadir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon May 19 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.5.5-1
- Version update
* Thu Oct 18 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.5.2-1
- Version update
* Fri Feb 16 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.4.4-1
- Version update
* Sun Jan 14 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.4.3-1
- Version update
- built against texjive
* Fri Jul 14 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.4.2-1
- Version update
* Sun May 28 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.4.1-1
- Version update
* Sun Mar 19 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.4.0-1
- Version update
* Wed Oct 26 2005 Christian Wasem <wasem@ccux-linux.de> 1.3.6-3
- added desktop entry (lyx.desktop)
* Tue Oct 25 2005 Karsten Brockmann <arcam@ccux-linux.de> 1.3.6-2
- rebuilt against tetex 3.0-4
* Tue Aug 02 2005 Karsten Brockmann <arcam@ccux-linux.de> 1.3.6-1
- Initial Release
